2008-12-03  Jorn Baayen  <jorn.baayen@collabora.co.uk>

	* tests/test-browser.c (main):
	* tests/test-publish.c (main):
	* tools/gssdp-device-sniffer.c (init_upnp):

	Use g_printerr() and EXIT_{SUCCESS,FAILURE}.

2008-12-03  Jorn Baayen  <jorn.baayen@collabora.co.uk>

	* libgssdp/gssdp-resource-group.c (message_received_cb):

	"All SSDP services MUST respond to SEARCH requests over the SSDP 
	multicast channel/port with the ST value of ssdp:all by responding 
	as if the ST value had been their service type. "

	Thanks Hugo Calleja. Fixes #1312.

2008-11-21  Jorn Baayen  <jorn.baayen@collabora.co.uk>

	* AUTHORS:

	New e-mail address.

	* libgssdp/gssdp-resource-group.c (gssdp_resource_group_dispose),
	(gssdp_resource_group_class_init),
	(gssdp_resource_group_add_resource), (process_queue),
	(queue_message), (resource_alive), (resource_byebye):

	Do not byebye unavailable resources.
	(And polish message delaying code a little)

2008-11-19  Jussi Kukkonen  <jku@linux.intel.com>

	* libgssdp/gssdp-resource-group.c:

	Make gssdp_resource_group_queue_message() static as well.

2008-11-19  Jussi Kukkonen  <jku@linux.intel.com>

	* libgssdp/gssdp-resource-group.c:

	Send byebyes in dispose without sleep: DLNA message delay is
	only mandatory for alive-messages after all. 
	Make process_queue() static.

2008-11-18  Jorn Baayen  <jorn.baayen@collabora.co.uk>

	* configure.ac:

	Depend on glib 2.18.

	* libgssdp/gssdp-client.c (gssdp_client_set_property):

	Use g_set_error_literal().

2008-11-06  Jussi Kukkonen  <jku@linux.intel.com>

	* doc/gssdp-sections.txt:
	* libgssdp/gssdp-client.c (gssdp_client_new):
	* libgssdp/gssdp-client.h (gssdp_client_new):
	* libgssdp/gssdp-error.c (gssdp_error_quark):
	* libgssdp/gssdp-resource-group.c (gssdp_resource_group_get_client):

	Documentation fixes

2008-11-06  Jussi Kukkonen  <jku@linux.intel.com>

	* libgssdp/gssdp-resource-group.c:

	Only send one SSDP message per X milliseconds (X == 20 by default)

2008-11-06  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	* AUTHORS:
	* tools/gssdp-device-sniffer.c:
	* tools/gssdp-device-sniffer.glade:

	Replace my non-working "@gstreamer.net" email with "@gnome.org" one.

2008-10-29  Jussi Kukkonen  <jku@linux.intel.com>

	* libgssdp/gssdp-resource-group.c (resource_alive):

	send ssdp:byebye before sending the first ssdp:alive.

2008-10-27  Ross Burton  <ross@linux.intel.com>

	* NEWS:
	* configure.ac:
	Version 0.6.3.

2008-10-27  Ross Burton  <ross@linux.intel.com>

	* doc/Makefile.am:
	Add version.xml to content_files so building docs in distcheck works.

2008-10-27  Ross Burton  <ross@linux.intel.com>

	* Makefile.am:
	Enable gtk-doc in distcheck.

2008-10-27  Ross Burton  <ross@linux.intel.com>

	* libgssdp/gssdp-resource-browser.c:
	Don't use NULL return values from g_get_application_name() (#1177).

2008-09-27  Jorn Baayen  <jorn@openedhand.com>

	* configure.ac:

	Increase version number.

2008-09-27  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c (resource_available),
	(resource_free), (discovery_timeout), (start_discovery),
	(stop_discovery):
	* libgssdp/gssdp-resource-group.c (gssdp_resource_group_dispose),
	(gssdp_resource_group_set_available), (message_received_cb),
	(discovery_response_free):

	Use the specified GMainContext for timeouts.

	Based on a patch from Olivier Crete <olivier.crete@collabora.co.uk>.

2008-08-31  Jorn Baayen  <jorn@openedhand.com>

	* configure.ac:
	* NEWS:

	Release 0.6.2
	
2008-08-12  Zeeshan Ali Khattak  <zeenix@gmail.com>

	* tools/gssdp-device-sniffer.c:

	Remove the unneeded call to g_thread_init().

2008-07-11  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-group.c
	(gssdp_resource_group_set_available):
	Reannounce after max_age / 2 - 1 instead of after max_age, as per
	UPnP specs. Based on a patch by Peter Christensen
	<peter@developers.dk>.

2008-05-23  Ross Burton  <ross@openedhand.com>

	* libgssdp/gssdp-socket-source.c:
	Make the GSourceFuncs static const.

2008-05-19  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* configure.ac:
	* libgssdp/Makefile.am:

	Bump soname and release 0.6.1.

2008-05-13  Jorn Baayen  <jorn@openedhand.com>

	* doc/gssdp.types:

	Add types file so that introspection works.

2008-05-13  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* configure.ac:

	Release gssdp 0.6.

2008-04-15  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c (resource_available):
	* libgssdp/gssdp-resource-group.c
	(gssdp_resource_group_set_available):

	Use g_timeout_add_seconds(). We can because soup 2.4 depends
	on glib 2.16.

2008-04-15  Jorn Baayen  <jorn@openedhand.com>

	* gssdp-1.0-uninstalled.pc.in:
	* gssdp-1.0.pc.in:

	Update for soup 2.4.

2008-04-14  Zeeshan Ali Khattak  <zeenix@gmail.com>

	* configure.ac:
	* libgssdp/gssdp-client.c (parse_http_request),
	(parse_http_response), (socket_source_cb):
	* libgssdp/gssdp-resource-browser.c (resource_available),
	(resource_unavailable), (received_discovery_response),
	(received_announcement), (message_received_cb):
	* libgssdp/gssdp-resource-group.c (message_received_cb),
	(discovery_response_timeout):
	* tools/Makefile.am:
	* tools/gssdp-device-sniffer.c (packet_header_to_string),
	(display_packet), (on_packet_selected), (packet_to_treeview_data),
	(append_packet), (on_ssdp_message), (create_packet_treemodel):
	
	Port to libsoup 2.4.

2008-03-12  Zeeshan Ali Khattak  <zeenix@gmail.com>

	* configure.ac:

	Require correct version of libsoup (>= 2.2.100).

2008-02-26  Jorn Baayen  <jorn@openedhand.com>

	* autogen.sh:

	Don't call glib-gettextize.

2008-02-24  Jorn Baayen  <jorn@openedhand.com>

	* configure.ac:

	Remove last trace of unused i18n.

2008-02-23  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* configure.ac:

	Release 0.4.2.

2008-02-09  Zeeshan Ali Khattak  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c:

	Add port argument to 'message-received' callback function.

2008-02-09  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-protocol.h:
	* libgssdp/gssdp-resource-browser.c: (send_discovery_request):

	Include g_get_application_name() in "User-Agent" header.

2008-02-09  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-protocol.h:

	Add "User-Agent" header to discovery request.

2008-02-02  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client.c: (gssdp_client_init),
	(gssdp_client_set_property), (gssdp_client_dispose),
	(gssdp_client_new), (gssdp_client_set_main_context),
	(_gssdp_client_send_message), (string_list_free), (header_hash),
	(header_equal), (socket_source_cb):
	* libgssdp/gssdp-socket-source.c: (gssdp_socket_source_new):
	* libgssdp/gssdp-socket-source.h:

	Send SSDP messages from dynamic port.

2008-02-01  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c:
	(gssdp_resource_browser_set_property),
	(gssdp_resource_browser_dispose),
	(gssdp_resource_browser_set_active), (clear_cache):

	Emit multiple M-SEARCH requests because UDP is unreliable.
	Based on a patch by Zeeshan Ali.

2008-01-31  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client-private.h:
	* libgssdp/gssdp-client.c: (gssdp_client_class_init),
	(_gssdp_client_send_message), (socket_source_cb):
	* libgssdp/gssdp-marshal.list:
	* libgssdp/gssdp-protocol.h:
	* libgssdp/gssdp-resource-browser.c:
	(gssdp_resource_browser_set_active):
	* libgssdp/gssdp-resource-group.c: (resource_group_timeout),
	(message_received_cb), (construct_al),
	(discovery_response_timeout), (resource_alive), (resource_byebye):
	* libgssdp/gssdp-socket-source.h:

	- Send discovery response to port of origin instead of to SSDP port.
	- Add Date header to discovery response.
	- Add missing G_GNUC_INTERNALs.

2008-01-14  Jorn Baayen  <jorn@openedhand.com>

	* Makefile.am:
	* configure.ac:

	Remove unused translation framework.

2007-09-23  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* configure.ac:

	Release 0.4.1.

2007-09-11  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (setup_treeviews):

	Pass the correct value to n_columns argument of
	gtk_list_store_new(). Fixes bug#501.

2007-09-10  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (setup_treeviews):

	Make sure treemodels get created at the startup.

2007-08-23  Jorn Baayen  <jorn@openedhand.com>

	* gssdp-1.0-uninstalled.pc.in:
	* gssdp-1.0.pc.in:

	Move libsoup req to Requires.Private.

2007-07-27  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client.c: (socket_source_cb):

	Fix compiler warning. Fixes #421.

	Patch by Priit Laes.

2007-07-26  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:

	Updated.

	* configure.ac:

	Bump version number to 0.4.

2007-07-26  Jorn Baayen  <jorn@openedhand.com>

	* gssdp-1.0.pc.in:

	List all dependencies.

2007-07-25  Jorn Baayen  <jorn@openedhand.com>

	* doc/gssdp-sections.txt:
	* libgssdp/gssdp-error.c:

	Doc polish.

2007-07-25  Jorn Baayen  <jorn@openedhand.com>

	* README:

	Somewhat better description.

2007-07-24  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* configure.ac:

	Release 0.3.

2007-07-08  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-protocol.h:

	s/bye-bye/byebye.

	* libgssdp/gssdp-resource-group.c: (gssdp_resource_group_dispose):

	byebye resources before unreffing client.

2007-07-03  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* configure.ac:

	Release 0.2.

2007-06-30  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-error.c: (gssdp_error_quark):

	Change quark name for consistency.

2007-06-30  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client.c: (gssdp_client_set_property):
	* libgssdp/gssdp-error.h:
	* libgssdp/gssdp-resource-browser.c:
	* libgssdp/gssdp-resource-group.c:

	Use error codes.

2007-06-30  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c: (resource_available):

	Use SoupDate for Expires header support.

2007-06-13  Ross Burton  <ross@openedhand.com>

	* configure.ac:
	Use --without-libglade rather than --disable-libglade.

2007-06-13  Ross Burton  <ross@openedhand.com>

	* tools/Makefile.am:
	Dist the glade.

2007-05-26  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client.c:
	* libgssdp/gssdp-client.h:
	* libgssdp/gssdp-error.c:
	* libgssdp/gssdp-resource-browser.c:
	* libgssdp/gssdp-resource-browser.h:
	* libgssdp/gssdp-resource-group.c:
	* libgssdp/gssdp-resource-group.h:

	gtkdoc-fu.

2007-05-26  Jorn Baayen  <jorn@openedhand.com>

	* configure.ac:
	* doc/Makefile.am:
	* doc/gssdp-docs.sgml:

	Added doc preamble.

2007-05-21  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client.c: (gssdp_client_class_init):
	* libgssdp/gssdp-client.h:
	* libgssdp/gssdp-error.c:
	* libgssdp/gssdp-resource-browser.c:
	(gssdp_resource_browser_class_init):
	* libgssdp/gssdp-resource-browser.h:
	* libgssdp/gssdp-resource-group.c:
	(gssdp_resource_group_class_init),
	(gssdp_resource_group_get_max_age):
	* libgssdp/gssdp-resource-group.h:

	Doc coverage to 100%.

2007-05-21  Jorn Baayen  <jorn@openedhand.com>

	* doc/Makefile.am:
	
	Exclude private bits.

	* doc/gssdp-docs.sgml:

	Add title.

	* libgssdp/gssdp-client.c: (gssdp_client_class_init):

	Mark 'message-received' as private.

2007-05-21  Jorn Baayen  <jorn@openedhand.com>

	* configure.ac:

	Point to gupnp.org.

	* tools/Makefile.am:

	Include path to glade file.

	* po/*: 

	Added missing files.

2007-05-21  Jorn Baayen  <jorn@openedhand.com>

	* tools/gssdp-device-sniffer.glade:

	Some UI cleanup.

2007-05-20  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (append_device),
	(resource_available_cb), (create_device_treemodel),
	(setup_treeviews):

	Replace 'Notify' and 'Last Notify' fields with 'First Notify'.

2007-05-19  Jorn Baayen  <jorn@openedhand.com>

	* tools/gssdp-device-sniffer.glade:

	Fix about box closing.

2007-05-19  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (init_ui):

	device-sniffer should test of the existance of the glade file itself,
	to avoid warning messages from libglade.

2007-05-16  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (append_device),
	(resource_available_cb):

	Append the device to the device treeview even when all details are not
	yet known.
	
	* tools/gssdp-device-sniffer.glade:

	Fix the closing of dialog.

2007-05-15  Zeeshan Ali  <zeenix@gstreamer.net>

	reviewed by: Jorn Baayen  <jorn@openedhand.com>

	* tools/gssdp-device-sniffer.c: (packet_to_treeview_data),
	(on_enable_packet_capture_activate), (packet_to_treeview_data),
	(on_ssdp_message):
	* tools/gssdp-device-sniffer.glade:

	- Implement start/stop of packet capturing.
	- Ignore discovery request packets rather than response packets.
	- Minor UI fixes.

2007-05-11  Jorn Baayen  <jorn@openedhand.com>

	* AUTHORS: Added Zeeshan.

2007-05-11  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (on_ssdp_message),
	(on_use_filter_radiobutton_toggled), (get_ip_filter),
	(on_address_filter_dialog_response), (init_ui), (init_upnp):
	* tools/gssdp-device-sniffer.glade:

	- Correctly handle delete-event.
	- Fix initial size of the window. 
	- Add support for IP-filtering of packets.
	- Do active the resource-browser.
	- Add copyright header.

2007-05-11  Zeeshan Ali  <zeenix@gstreamer.net>

	* tools/gssdp-device-sniffer.c: (append_device), (find_device),
	(update_device), (resource_available_cb), (remove_device),
	(resource_unavailable_cb), (create_packet_treemodel),
	(create_device_treemodel), (setup_treeview), (setup_treeviews),
	(init_upnp), (main):
	* tools/gssdp-device-sniffer.glade:
	
	- Remove unimplementable menu items and the associated callbacks.
	- Implement device view.
	- Deinit gssdp objects first rather than the UI.
	- Some minor fixes.

2007-05-10  Jorn Baayen  <jorn@openedhand.com>

	* NEWS:
	* README:

	Added some text.

2007-05-10  Jorn Baayen  <jorn@openedhand.com>

	* Makefile.am:

	Do not install uninstalled PC file.

2007-05-09  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c: (resource_available):

	Disable support for Expires header for now as correct RFC 1123 parsing
	is a pain.

2007-05-08  Zeeshan Ali  <zeenix@gstreamer.net>
 
 	* tools/gssdp-device-sniffer.c: (clear_packet_treeview),
 	(packet_header_to_string), (clear_textbuffer),
 	(update_packet_details), (display_packet), (on_packet_selected),
 	(on_clear_packet_capture_activate), (packet_to_treeview_data),
 	(append_packet), (on_ssdp_message), (create_model),
 	(setup_treeviews), (init_upnp):
 	
 	- Implement packet details viewing.
 	- Browsing passively.
 	- Rename on_gssdp_message to on_ssdp_message
 	- Implement clearing of packet info treeview and textview.
 	- Rename clear_packet_capture1 to clear_packet_capture
 
 	* tools/gssdp-device-sniffer.glade:
 	
 	Rename clear_packet_capture1 to clear_packet_capture
 
2007-05-08  Zeeshan Ali  <zeenix@gstreamer.net>

	* libgssdp/gssdp-client.c: (socket_source_cb):

	Unref the table instead of destroying it.

2007-05-07  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c: (received_discovery_response):

	Handle standard-uncompliant replies to "ssdp:all" discovery requests 
	gracefully.

2007-05-07  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c: (resource_available):

	Allow spaces when parsing Cache-Control.

2007-05-04  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-protocol.h:
	* libgssdp/gssdp-resource-browser.c: (received_announcement):
	* libgssdp/gssdp-resource-browser.h:
	* libgssdp/gssdp-resource-group.c: (message_received_cb):
	* tests/test-browser.c: (main):
	* tools/gssdp-device-sniffer.c: (init_upnp):

	Define GSSDP_ALL_RESOURCES in gupnp-resource-browser.h.

2007-05-04  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c: (received_announcement):
	* libgssdp/gssdp-resource-group.c: (message_received_cb),
	(discovery_response_timeout), (discovery_response_free):

	More "ssdp:all" work - should be all good now.

2007-05-04  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-protocol.h:
	* libgssdp/gssdp-resource-group.c: (message_received_cb):
	* tests/test-browser.c: (main):

	Handle "ssdp:all" correctly.

2007-05-04  Zeeshan Ali  <zeenix@gstreamer.net>

	* Makefile.am:
	* configure.ac:
	* tools/Makefile.am:
	* tools/gssdp-device-sniffer.c: (on_av_media_servers_1_0_activate),
	(on_av_renderers_1_0_activate),
	(on_enable_packet_capture_activate),
	(on_search_all_devices_activate),
	(on_clear_packet_capture1_activate), (on_details_activate),
	(on_filter_menuitem_activate), (on_address_filter_activate),
	(on_search_root_devices_activate),
	(on_show_device_tracking_activate),
	(on_internet_gateways_1_0_activate), (append_packet),
	(on_gssdp_message), (on_custom_search_dialog_response),
	(create_model), (setup_treeview), (setup_treeviews),
	(on_delete_event), (init_ui), (deinit_ui), (init_upnp),
	(deinit_upnp), (main):
	* tools/gssdp-device-sniffer.glade:
	Add a basic version of gssdp-device-sniffer.

2007-05-04  Zeeshan Ali  <zeenix@gstreamer.net>

	* Makefile.am:
	* configure.ac:
	* gssdp-1.0-uninstalled.pc.in: Enable the users to build/link against
	uninstalled gssdp.

2007-05-03  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-protocol.h:
	* libgssdp/gssdp-resource-browser.c: (received_announcement):
	Actually, target field is NT for notifications, and ST
	for searches ...

2007-05-03  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-resource-browser.c: (received_announcement):
	Target field is ST, not NT.

	* libgssdp/gssdp-resource-group.c: (message_received_cb):
	Add comment.

2007-05-03  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/Makefile.am:
	* libgssdp/gssdp-client.c:
	* libgssdp/gssdp-resource-browser.c:
	(gssdp_resource_browser_get_property),
	(gssdp_resource_browser_set_property),
	(gssdp_resource_browser_class_init), (resource_available),
	(resource_unavailable), (received_discovery_response),
	(received_announcement), (message_received_cb):
	* libgssdp/gssdp-resource-browser.h:
	* libgssdp/gssdp-resource-group.c:
	(gssdp_resource_group_get_property),
	(gssdp_resource_group_set_property),
	(gssdp_resource_group_class_init),
	(gssdp_resource_group_remove_resource), (message_received_cb),
	(discovery_response_timeout), (discovery_response_free),
	(resource_alive), (resource_byebye):
	* libgssdp/gssdp-resource-group.h:
	* libgssdp/gssdp-service-browser.c:
	* libgssdp/gssdp-service-browser.h:
	* libgssdp/gssdp-service-group.c:
	* libgssdp/gssdp-service-group.h:
	* libgssdp/gssdp.h:
	* tests/test-browser.c: (resource_available_cb), (main):
	* tests/test-publish.c: (main):

	Rename ServiceBrowser and ServiceGroup to ResourceBrowser
	and ServiceGroup as to be consistent with the UPnP book.

2007-04-19  Zeeshan Ali  <zeenix@gstreamer.net>

	* libgssdp/gssdp-client.c: (header_hash), (check_header_equality),
	(socket_source_cb): HTTP/1.1 headers needs to be case-insensitive and
	so should be our hash-table of HTTP headers.

2007-04-16  Jorn Baayen  <jorn@openedhand.com>

	* libgssdp/gssdp-client.c: (socket_source_cb):

	Calculate message length correctly.

2007-04-16  Zeeshan Ali  <zeenix@gstreamer.net>

	* libgssdp/gssdp-socket-source.c: (gssdp_socket_source_new):

	Allow multiple gssdp clients to exist on the same machine.
